import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * @tagname %%prefix%%-flyout
 */
export declare class Flyout extends FoundationElement {
    exit: HTMLDivElement;
    position: string;
    displayHeader: boolean;
    closed: boolean;
    closedChanged(): void;
    visuallyhidden: boolean;
    closeFlyout(): void;
    closingFinished(): void;
    focusExit(): void;
}
export declare const foundationFlyoutShadowOptions: ShadowRootInit;
export declare const defaultFlyoutConfig: {};
/**
 * The Foundation Flyout
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-flyout\>
 */
export declare const foundationFlyout: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Flyout, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Flyout, any>;
    shadowOptions: ShadowRootInit;
}, typeof Flyout>;
//# sourceMappingURL=flyout.d.ts.map